<?php
session_start();
require('../45789417/ref4780.php');
if (!isset($_SESSION['userid'])) {
  echo "<script language='Javascript'> location.href='../login.php';</script>";
    exit();
  };
if ($_SESSION['type_user_live'] != "Admin") {
    echo "<script language='Javascript'> location.href='index.php';</script>";
}
// limpiamo la table  temporalmente
mysqli_query($con,"TRUNCATE TABLE callcenter_tmp");
//obtenemos el archivo .csv
$tipo = $_FILES['archivo']['type']; 
$tamanio = $_FILES['archivo']['size']; 
$archivotmp = $_FILES['archivo']['tmp_name'];
$date_call = $_POST['year_call']."-". $_POST['month_call']."-".$_POST['day_call']." 00:00:00";
$date_end =  $_POST['year_call_end']."-". $_POST['month_call_end']."-".$_POST['day_call_end'];
$date_start = $_POST['year_call']."-". $_POST['month_call']."-".$_POST['day_call'];
 
//cargamos el archivo
$lineas = file($archivotmp);
 
//inicializamos variable a 0, esto nos ayudará a indicarle que no lea la primera línea
$i=0;
 
//Recorremos el bucle para leer línea por línea
foreach ($lineas as $linea_num => $linea)
{ 
   //abrimos bucle
   /*si es diferente a 0 significa que no se encuentra en la primera línea 
   (con los títulos de las columnas) y por lo tanto puede leerla*/
   if($i != 0) 
   { 
       //abrimos condición, solo entrará en la condición a partir de la segunda pasada del bucle.
       /* La funcion explode nos ayuda a delimitar los campos, por lo tanto irá 
       leyendo hasta que encuentre un ; */
       $datos = explode(";",$linea);
 
       //Almacenamos los datos que vamos leyendo en una variable
       // $datos[0] el 0 es por la primera columna 
       /* $date = trim($datos[0]); */ 
       $date = $date_call;
       $phone = trim($datos[0]);
       /* $profesion = trim($datos[2]); */ 
      
      mysqli_query($con,"INSERT INTO callcenter_tmp (date,phone) VALUES ('$date','$phone')");
       /* mysqli_query($con,"INSERT INTO callcenter_tmp (date,phone,profesion) VALUES ('$date','$phone','$profesion')"); */
   }
 
   /*Cuando pase la primera pasada se incrementará nuestro valor y a la siguiente pasada ya 
   entraremos en la condición, de esta manera conseguimos que no lea la primera línea.*/
   $i++;
   //cerramos bucle
}
    echo "<script type='text/javascript'>  
        window.location='report_call.php?date_end=$date_end&date_start=$date_start';
      </script>";


?>



